Bug 970778 - SELinux is preventing /usr/sbin/console-kit-daemon (deleted) from 'read' accesses on the file /var/log/ConsoleKit/history.
SELinux is preventing /usr/sbin/console-kit-daemon (deleted) from 'read' acce...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3ae8fff039b31271c1e6c40a45b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 16:59 EDT by Jiří Martínek
Modified: 2013-06-08 06:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 06:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiří Martínek 2013-06-04 16:59:27 EDT
Description of problem:
SELinux is preventing /usr/sbin/console-kit-daemon (deleted) from 'read' accesses on the file /var/log/ConsoleKit/history.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that console-kit-daemon (deleted) should be allowed read access on the history file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep console-kit-dae /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:consolekit_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/ConsoleKit/history [ file ]
Source                        console-kit-dae
Source Path                   /usr/sbin/console-kit-daemon (deleted)
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-47.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.i686 #1 SMP Fri May
                              24 20:35:02 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-06-01 13:10:34 CEST
Last Seen                     2013-06-01 13:10:34 CEST
Local ID                      13b34a16-70e3-4b48-be75-87177d1c4da1

Raw Audit Messages
type=AVC msg=audit(1370085034.180:857): avc:  denied  { read } for  pid=987 comm="console-kit-dae" name="history" dev="sda2" ino=525640 scontext=system_u:system_r:consolekit_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file


type=SYSCALL msg=audit(1370085034.180:857): arch=i386 syscall=open success=no exit=EACCES a0=80affc8 a1=800 a2=180 a3=80b0000 items=0 ppid=1 pid=987 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=console-kit-dae exe=2F7573722F7362696E2F636F6E736F6C652D6B69742D6461656D6F6E202864656C6574656429 subj=system_u:system_r:consolekit_t:s0 key=(null)

Hash: console-kit-dae,consolekit_t,var_log_t,file,read

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-300.fc19.i686
type:           libreport

Potential duplicate: bug 895159
Comment 1 Miroslav Grepl 2013-06-07 05:46:03 EDT
Does

# restorecon -R -v /var/log/ConsoleKit

fix the problem?
Comment 2 Jiří Martínek 2013-06-07 06:59:01 EDT
Thank you for your reply.
I am not sure, it didn't happen since. I will let you know if it does.
(In reply to Miroslav Grepl from comment #1)

> Does
> 
> # restorecon -R -v /var/log/ConsoleKit
> 
> fix the problem?

Note You need to log in before you can comment on or make changes to this bug.